
#ifndef __SAMPLEVIEW_H_
#define __SAMPLEVIEW_H_

#include <Application.h>
#include <Window.h>
#include <View.h>

#define COLOR_BUTTON_MESSAGE 'cb01'
#define BUTTON_WIDTH 	90
#define BUTTON_HEIGHT	20

// ------------------------------------------------------------
// SampleView.h
//

class SampleView : public BView {

public:	// Member Functions

					// Constructor
					SampleView( BRect frame, char *name );
	virtual void	AttachedToWindow();
	virtual void	Draw( BRect updateRect );
	virtual void	Pulse(void);
	virtual void	MessageReceived( BMessage *message );

private: // Member Functions
			void	ChangeColor();

public:	// Data Members
	BButton			*ColorButton;

private: // Data Members
	int				Red, Green, Blue;
};

#endif